com.explodingpixels.macwidgets

## Interface SourceListClickListener

    public interface SourceListClickListener

An interface to hook into clicks on `SourceListCategory`s and `SourceListItem`s. This interface is similar to what `SourceListSelectionListener` offers, but provides mouse clicks including which mouse button was pressed the number of clicks that occured.

It is, for example, possible to handle left mouse button double clicks on an item, which can be done with an implementation like this:

     SourceListClickListener clickListener = new SourceListClickListener() {
         public void sourceListItemClicked(SourceListItem item, Button button,
                                           int clickCount) {
             boolean isLeftButton = button == SourceListClickListener.Button.LEFT;
             if (isLeftButton && clickCount == 2) {
                 // do something here.
             }
         }
         public void sourceListCategoryClicked(SourceListCategory category,
                                               Button button, int clickCount) {
             // no implementation.
         }
     };

### Nested Class Summary

Nested Classes
`static class` `SourceListClickListener.Button` Corresponds to a button on a mouse.

### Method Summary

Methods
`void` `sourceListCategoryClicked(SourceListCategory category, SourceListClickListener.Button button, int clickCount)` Called when a `SourceListCategory` is clicked.
`void` `sourceListItemClicked(SourceListItem item, SourceListClickListener.Button button, int clickCount)` Called when a `SourceListItem` is clicked.

### Method Detail

#### sourceListItemClicked

    void sourceListItemClicked(SourceListItem item,
                             SourceListClickListener.Button button,
                             int clickCount)

Called when a `SourceListItem` is clicked.

Parameters:
  `item` - the `SourceListItem` that was clicked. Will not be null.
  `button` - the mouse button that was used to perform the click.
  `clickCount` - the number of times the mouse button was clicked.

#### sourceListCategoryClicked

    void sourceListCategoryClicked(SourceListCategory category,
                                 SourceListClickListener.Button button,
                                 int clickCount)

Called when a `SourceListCategory` is clicked.

Parameters:
  `category` - the `SourceListCategory` that was clicked. Will not be null.
  `button` - the mouse button that was used to perform the click.
  `clickCount` - the number of times the mouse button was clicked.